"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.outputConfig = outputConfig;

var _path = _interopRequireDefault(require("path"));

var _constants = require("../../constants");

var _nameTemplates = require("./common/nameTemplates");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function outputConfig(options) {
  const {
    output,
    publicPath
  } = options;
  return {
    filename: (0, _nameTemplates.nameTemplates)('js', options),
    chunkFilename: (0, _nameTemplates.nameTemplates)('chunkjs', options),
    publicPath,
    // clean: true,
    path: _path.default.resolve(_constants.appPath, output)
  };
}