"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.commandExecutor = commandExecutor;

var _spanSync = require("../../shared/commands-utlis/spanSync");

var _constants = require("../../shared/constants");

function commandExecutor(options) {
  const {
    extraArgs
  } = options;
  (0, _spanSync.spawnSyncIO)("babel", ["src", "--out-dir", "es", "--copy-files", "--config-file=" + _constants.babelrcPath, ...extraArgs]);
}